Productsup
CDE APIApi referenceBuckets

Create bucket.

Sign in to run requests against the CDE API.
POST
/buckets

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/buckets" \  -H "Content-Type: application/json" \  -d '{    "name": "New bucket"  }'
{
  "message": "successful operation",
  "data": {
    "id": "1f2bd948-d9c3-4b68-ac4e-111b0992d7e6",
    "name": "New bucket",
    "owner": "019e16f3-a92c-75c9-bced-d3653152c866",
    "created-at": "2026-05-11T14:12:07+02:00"
  }
}
{
  "message": "Bad request.",
  "errors": {
    "name": "This value should not be blank."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?